# ActionList QML Type

List of Action items. More...

Import Statement: | import Lomiri.Components 1.3
Inherits: | QtObject
Inherited By: | ExclusiveGroup

- List of all members, including inherited members

## Properties

- actions : list<Action>
- children : list<Action>

## Signals

- added(Action action)
- removed(Action action)

## Methods

- addAction(Action action)
- removeAction(Action action)

## Detailed Description

## Property Documentation

[default] actions : list<Action>

List of already defined actions when not defining them as children of the ActionList. Note that when you set this property, the children of the ActionList will be ignored, so do not set the list and define children.

The advantage of setting actions over using the children is that the same Action items can be used in several sets of actions.

[default] children : list<Action>

Default property to allow adding of children.

## Signal Documentation

added(Action action)

Signal called when an action is added to the list

Note: The corresponding handler is `onAdded`.

This signal was introduced in Lomiri.Components 1.3.

removed(Action action)

Signal called when an action is removed from the list

Note: The corresponding handler is `onRemoved`.

This signal was introduced in Lomiri.Components 1.3.

## Method Documentation

addAction(Action action)

Adds an Action to the list programatically.

    Item {
        Instantiator {
            model: 4
            onObjectAdded: actionList.addAction(object)
            onObjectRemoved: actionList.removeAction(object)

            Action {}
        }

        ActionList {
            id: actionList
        }
    }

This method was introduced in Lomiri.Components 1.3.

See also ActionList::removeAction.

removeAction(Action action)

Removes an action from the list programatically.

This method was introduced in Lomiri.Components 1.3.

See also ActionList::addAction.